%if 0%{?fedora}
%global with_python3 1
%endif

%global modname zope.proxy

Name:           python-zope-proxy
Version:        4.1.1
Release:        2%{?dist}
Summary:        Generic Transparent Proxies
Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/%{modname}/
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# for test suite
BuildRequires:  python-zope-testing
Requires:       python-zope-interface

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-testing
%endif

%description
This package provides convenient functions for dealing with proxies.

%if 0%{?with_python3}
%package -n python3-zope-proxy
Summary:        Generic Transparent Proxies
Group:          Development/Libraries

Requires:       python3-zope-interface

%description -n python3-zope-proxy
This package provides convenient functions for dealing with proxies.
%endif

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python2-devel
BuildArch:      noarch


%description devel
Development headers and libraries for %{name}.

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif



%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
# Remove included source files
rm -f $RPM_BUILD_ROOT%{python3_sitearch}/zope/proxy/proxy.h
rm -f $RPM_BUILD_ROOT%{python3_sitearch}/zope/proxy/_zope_proxy_proxy.c
rm -rf $RPM_BUILD_ROOT%{_includedir}/python3.*m*/
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Remove included source files
rm -f $RPM_BUILD_ROOT%{python_sitearch}/zope/proxy/proxy.h
rm -f $RPM_BUILD_ROOT%{python_sitearch}/zope/proxy/_zope_proxy_proxy.c


%check
%{__python} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt COPYRIGHT.txt LICENSE.txt
%{python_sitearch}/zope/proxy/
%{python_sitearch}/%{modname}-*.egg-info
%{python_sitearch}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-proxy
%doc CHANGES.txt README.txt COPYRIGHT.txt LICENSE.txt
%{python3_sitearch}/zope/proxy/
%{python3_sitearch}/%{modname}-*.egg-info
%{python3_sitearch}/%{modname}-*-nspkg.pth
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/python?.?/%{modname}



%changelog
* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.1.1-2
- Remove the weird /python3.2mu/ dir contents.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.1.1-1
- Latest upstream.
- Added a python3 subpackage.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep  6 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-4
- Include tests
- More comments

* Wed Sep  1 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-3
- Description revised

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-2
- Remove %%check section
- Group changed from Development/Languages to Development/Libraries
- BR: python-devel renamed to python2-devel, python-zope-testing removed

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.1-1
- Update to 3.6.1
- Requirement: python-zope-filesystem removed, python-zope-interface added
- Spec cleaned up
- -devel subpackage set to noarch, added python2-devel as requirement
- Include the license

* Mon Jun 7 2010 Conrad Meyer <konrad@tylerc.org> - 3.6.0-1
- Bump to latest version.

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 3.5.0-3
- Nuke .c/.h files used to build C library from installed
  files.

* Wed Dec 30 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-2
- Move development files to devel subpackage.
- Use global instead of define.

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-1
- Bump to latest version.
- Enable tests as zope.testing is in devel.
- Add missing BR on python-setuptools.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.2-1
- Initial package.
